petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscClassIdRegister

Registers a new class name for objects and logging operations in an application code.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscClassIdRegister(const char name[],PetscClassId *oclass)

Not Collective

### Input Parameter

name -The class name

### Output Parameter

oclass -The class id or classid

### Keywords

log, class, register

### Level

developer

### Location

src/sys/logging/plog.c

### Examples

src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages